CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::Column::NoNullValue Class Reference

Exception thrown if a null value is specified without support from existing column header. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::NoNullValue:

List of all members.

## Public Member Functions
| NoNullValue (const String &diag, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: No null value specified for column: " before the specific message.

## Detailed Description

Exception thrown if a null value is specified without support from existing column header.

This exception is analogous to the fact that cfitsio returns a non-zero status code if TNULLn doesn't exist an a null value (convert all input data with the null value to the TNULLn keyword) is specified. It is only relevant for integer type data (see cfitsio manual for details).

## Constructor & Destructor Documentation

CCfits::Column::NoNullValue::NoNullValue | ( | const String & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: No null value specified for column: " before the specific message.

Parameters:

  diag | A specific diagnostic message
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx